$('body').off('change', 'select[name="IsAccept"]');
$('body').on('change', 'select[name="IsAccept"]', function() {
	$('.ttn_position').hide();
	$('.ttn_position_'+$(this).val()).show();
});

$('body').off('click', '.add_marki');
$('body').on('click', '.add_marki', function() {
	$('.marks_'+$(this).attr('data-key')).toggle();
});

$('body').off('change', '.ttn_UnitType');
$('body').on('change', '.ttn_UnitType', function(){
	if($(this).prop('checked')) {
		$('.boxnumber_'+$(this).attr('data-key')).show();
	}
	else {
		$('.boxnumber_'+$(this).attr('data-key')).hide();
	}
});

$('body').off('change', 'select[name="OrgType"]');
$('body').on('change', 'select[name="OrgType"]', function() {
	$('.orginfo').hide();
	$('.orginfo_'+$(this).val()).show();
});

$('body').off('click', '.egais_search_organization');
$('body').on('click', '.egais_search_organization', function(){
	var url=$(this).attr('href')+'?';
	$('.search_data').each(function(){
		url+='&'+$(this).attr('name')+'='+encodeURIComponent($(this).val());
	});
	load_window(url);
});

$('body').off('click', '.egais_select_organization');
$('body').on('click', '.egais_select_organization', function() {
	var fsrar_id=$(this).attr('data-fsrarid');
	$('.organization_'+fsrar_id).each(function() {
		$('form[name="ttn_form"] '+$(this).attr('data-type')+'[name="'+$(this).attr('name')+'"]').val($(this).val());
	});
	$('select[name="OrgType"]').trigger('change');
	$(this).closest('.popup').remove();
});

$('body').off('change', 'select[name="TypeWriteOff"]');
$('body').on('change', 'select[name="TypeWriteOff"]', function(){
	if($(this).val()=='Реализация') {
		$('.TypeWriteOff_sales').show();
	}
	else {
		$('.TypeWriteOff_sales').hide();
	}
});

$('body').off('click', '#compare_rests_button');
$('body').on('click', '#compare_rests_button', function(){
	$('.compare_rests').show();
});

$('body').off('keyup', '#compare_rests_marks');
$('body').on('keyup', '#compare_rests_marks', function(){
	$('.restb_mark .fa-check').hide();
	$('.restb_mark .false').show();
	var marks=$(this).val().split(/[\r\n]+/);
	$.each(marks, function(n, m){
		$('.mark_'+m+' .false').hide();
		$('.mark_'+m+' .fa-check').show();
	});
});

$('body').off('click', '.writeoff_all');
$('body').on('click', '.writeoff_all', function(){
	$('.position_quantity').each(function(){
		var q=Number($(this).html());
		var position=$(this).attr('data-id');
		$('input[name="position['+position+'][Quantity]"]').val(q);
	});
});

$('body').off('change', '.form_with_disabled_check input[type="checkbox"]');
$('body').on('change', '.form_with_disabled_check input[type="checkbox"]', function(){
	if($(this).prop('checked')) {
		$('input', $(this).closest('tr')).removeAttr('disabled');
	}
	else {
		$('input', $(this).closest('tr')).attr('disabled', 'true');
	}
	$(this).removeAttr('disabled');
});

$('body').off('click', '#declaration_writeoff_all');
$('body').on('click', '#declaration_writeoff_all', function(){
	$('.declaration_product').each(function(){
		var goods=0;
		var writeoff=0;
		$('.goods', this).each(function(){
			goods+=Number($(this).val());
		});
		$('.writeoff', this).each(function(){
			writeoff+=Number($(this).val());
		});
		$('.other_out', this).val(goods-writeoff);
		$('.stock1', this).val(0);
	});
});

$('body').off('click', '.add_declaration_product');
$('body').on('click', '.add_declaration_product', function(){
	var parent=$(this).closest('table');
	var AlcCode=$('input[name="AlcCode"]', parent).val();
	var ProductVCode=$('input[name="ProductVCode"]', parent).val();
	var Producer_ClientRegId=$('input[name="Producer_ClientRegId"]', parent).val();
	var Producer_FullName=$('input[name="Producer_FullName"]', parent).val();
	var Producer_INN=$('input[name="Producer_INN"]', parent).val();
	var Producer_KPP=$('input[name="Producer_KPP"]', parent).val();
	$('input[name="product['+AlcCode+'][productType_Code]"]').val(ProductVCode);
	$('input[name="product['+AlcCode+'][owner_id]"]').val(Producer_ClientRegId);
	$('input[name="product['+AlcCode+'][full_Name]"]').val(Producer_FullName);
	$('input[name="product['+AlcCode+'][inn]"]').val(Producer_INN);
	$('input[name="product['+AlcCode+'][kpp]"]').val(Producer_KPP);
	close_window(this);
});